diff -urNd ircd-ratbox-1.3-1/include/channel_mode.h ircd-ratbox-1.3-1-strip-color/include/channel_mode.h
--- ircd-ratbox-1.3-1/include/channel_mode.h	2003-11-06 22:00:37.000000000 -0200
+++ ircd-ratbox-1.3-1-strip-color/include/channel_mode.h	2004-03-04 15:28:40.000000000 -0200
@@ -53,7 +53,7 @@
 #define CAN_SEND_NO	0
 #define CAN_SEND_NONOP  1
 #define CAN_SEND_OPV	2
-
+#define CANNOT_SEND_NOCOLOR 3
 
 /* channel status flags */
 #define CHFL_PEON		0x0000	/* normal member of channel */
@@ -82,6 +82,7 @@
 #define MODE_TOPICLIMIT 0x0040
 #define MODE_INVITEONLY 0x0080
 #define MODE_NOPRIVMSGS 0x0100
+#define MODE_NOCOLOR    0x0200
 #define MODE_BAN        0x0400
 #define MODE_EXCEPTION  0x0800
 #define MODE_INVEX	0x2000
diff -urNd ircd-ratbox-1.3-1/modules/core/m_message.c ircd-ratbox-1.3-1-strip-color/modules/core/m_message.c
--- ircd-ratbox-1.3-1/modules/core/m_message.c	2004-01-07 23:20:17.000000000 -0200
+++ ircd-ratbox-1.3-1-strip-color/modules/core/m_message.c	2004-03-04 15:30:11.000000000 -0200
@@ -438,6 +438,14 @@
 			source_p->user->last = CurrentTime;
 	}
 
+	/* lets deny colors in channel */
+	if (chptr->mode.mode & MODE_NOCOLOR)
+		if (strchr((char *)text, 3) || strchr((char *)text, 27))
+		{    
+		sendto_one(source_p, form_str(ERR_CANNOTSENDTOCHAN),
+			me.name, source_p->name, chptr->chname);
+		return;
+		}
 	/* chanops and voiced can flood their own channel with impunity */
 	if((result = can_send(chptr, source_p, NULL)))
 	{
diff -urNd ircd-ratbox-1.3-1/modules/core/m_sjoin.c ircd-ratbox-1.3-1-strip-color/modules/core/m_sjoin.c
--- ircd-ratbox-1.3-1/modules/core/m_sjoin.c	2003-11-06 21:29:11.000000000 -0200
+++ ircd-ratbox-1.3-1-strip-color/modules/core/m_sjoin.c	2004-03-04 15:31:58.000000000 -0200
@@ -162,6 +162,8 @@
 		case 't':
 			mode.mode |= MODE_TOPICLIMIT;
 			break;
+		case 'c':
+			mode.mode |= MODE_NOCOLOR;
 		case 'k':
 			strlcpy(mode.key, parv[4 + args], sizeof(mode.key));
 			args++;
@@ -520,6 +522,7 @@
 	{MODE_MODERATED, 'm'},
 	{MODE_INVITEONLY, 'i'},
 	{MODE_PRIVATE, 'p'},
+	{MODE_NOCOLOR, 'c'},
 	{0, 0}
 };
 
diff -urNd ircd-ratbox-1.3-1/src/channel_mode.c ircd-ratbox-1.3-1-strip-color/src/channel_mode.c
--- ircd-ratbox-1.3-1/src/channel_mode.c	2003-11-06 22:00:44.000000000 -0200
+++ ircd-ratbox-1.3-1-strip-color/src/channel_mode.c	2004-03-04 15:33:50.000000000 -0200
@@ -332,7 +332,8 @@
 		*mbuf++ = 'i';
 	if(chptr->mode.mode & MODE_NOPRIVMSGS)
 		*mbuf++ = 'n';
-
+	if (chptr->mode.mode & MODE_NOCOLOR)
+		*mbuf++ = 'c';
 	if(chptr->mode.limit)
 	{
 		*mbuf++ = 'l';
@@ -1309,7 +1310,7 @@
   {chm_nosuch, NULL},
   {chm_nosuch, NULL},				  /* a */
   {chm_ban, NULL},                                /* b */
-  {chm_nosuch, NULL},                             /* c */
+  {chm_simple, (void *) MODE_NOCOLOR},            /* c */
   {chm_nosuch, NULL},                             /* d */
   {chm_except, NULL},                             /* e */
   {chm_nosuch, NULL},                             /* f */
